# Generated by Django 4.0.3 on 2022-04-08 13:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0002_film_imdb_rating_film_premiera_film_rok'),
    ]

    operations = [
        migrations.CreateModel(
            name='ExtraInfo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('czas_trwania', models.IntegerField()),
                ('rodzaj', models.IntegerField(choices=[(5, 'Thriller'), (1, 'Horror'), (2, 'Drama'), (0, 'Unknown'), (3, 'Comedy'), (4, 'Sci-fi')], default=0)),
            ],
        ),
        migrations.AddField(
            model_name='film',
            name='extra_info',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='api.extrainfo'),
        ),
    ]
